MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::SCMatrixBlockList Class Reference
Inheritance diagram for sc::SCMatrixBlockList:

List of all members.

## Public Member Functions

| SCMatrixBlockList (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | insert (SCMatrixBlock *)
void | append (SCMatrixBlock *)
SCMatrixBlockListIter | begin ()
SCMatrixBlockListIter | end ()
SCMatrixBlockList * | deepcopy ()

## Member Function Documentation

void sc::SCMatrixBlockList::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- block.h